﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="RadTreeView.Net2" Namespace="Telerik.WebControls" TagPrefix="rad" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <script type="text/javascript">
        var lastDragHoverNodeId = "";
        
        function AfterClientMove(eventArgs)
        {
            var srcElement = eventArgs.target || eventArgs.srcElement;

            if (srcElement)
            {
                if ((typeof(lastDragHoverNodeId) == "undefined") ||
                    (lastDragHoverNodeId == ""))
                {
                    lastDragHoverNodeId = srcElement.parentNode.id;
                }
                
                //Here we ensure that the hovered element is a <span> inside the source RadTreeView structure.
                if ((srcElement.tagName == "SPAN") &&
                    (lastDragHoverNodeId.indexOf("<%= RadTreeView1.ClientID %>_t") > -1))
                {
                    if (lastDragHoverNodeId != srcElement.parentNode.id)
                    {
                        var lastDragHoverNodeElement = 
                            document.getElementById(lastDragHoverNodeId);
                            
                        if (lastDragHoverNodeElement)
                        {
                            var span = lastDragHoverNodeElement.getElementsByTagName("span")[0];
                            
                            //Return the default style of the last hovered node.
                            span.className = "TreeNode";
                        }
                    }
                    else
                    {
                        //Set the drag-hover style for the node (could be any custom class).
                        srcElement.className = "TreeNodeSelect";
                    }
                }
                
                lastDragHoverNodeId = srcElement.parentNode.id;                
            }
        }
    </script>
    <form id="form1" runat="server">
    <div>
        <rad:RadTreeView 
            ID="RadTreeView1" 
            runat="server" 
            DragAndDrop="True"
            AfterClientMove="AfterClientMove">
            <Nodes>
                <rad:RadTreeNode runat="server" Text="Node 0">
                </rad:RadTreeNode>
                <rad:RadTreeNode runat="server" Text="Node 1">
                </rad:RadTreeNode>
                <rad:RadTreeNode runat="server" Text="Node 2">
                </rad:RadTreeNode>
                <rad:RadTreeNode runat="server" Text="Node 3">
                </rad:RadTreeNode>
                <rad:RadTreeNode runat="server" Text="Node 4">
                </rad:RadTreeNode>
                <rad:RadTreeNode runat="server" Text="Node 5">
                </rad:RadTreeNode>
            </Nodes>
        </rad:RadTreeView>
        
    </div>
    </form>
</body>
</html>